Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.actions
Class ActionManagement

    java.lang.Object
      info.webinsel.util.swing.ActionHashMap
          info.bioinfweb.treegraph.gui.actions.ActionManagement

    public class ActionManagement

extends info.webinsel.util.swing.ActionHashMap

This class organizes the action objects of TreeGraph.

Author:
  Ben Stöver

Field Summary
`private MainFrame` | `mainFrame`
`private java.util.Vector<javax.swing.Action>` | `popupActions`
`private javax.swing.JPopupMenu` | `popupMenu`

Constructor Summary
`ActionManagement(MainFrame mainFrame)`

Method Summary
`private void` | `editUndoRedoMenus()` Sets the contents undo and redo menu or disables them.
`protected void` | `fillMap()` All `Action` objects used in TreeGraph 2 added to the `HashMap` in this mehtod.
`private void` | `fillPopupActions()`
`javax.swing.JPopupMenu` | `getPopupMenu(PaintableElement selected)`
`void` | `refreshActionStatus()` Enables or disables all action objects by calling their `setEnabled(Document, TreeSelection)`-methods.
`private void` | `setActionStatusBySelection(Document document, TreeSelection selection, NodeBranchDataAdapter tableAdapter)`

Methods inherited from class info.webinsel.util.swing.ActionHashMap
`clear, get, getMap, isEmpty, put, remove, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mainFrame

    private MainFrame mainFrame

### popupActions

    private java.util.Vector<javax.swing.Action> popupActions

### popupMenu

    private javax.swing.JPopupMenu popupMenu

Constructor Detail

### ActionManagement

    public ActionManagement(MainFrame mainFrame)

Method Detail

### fillMap

    protected void fillMap()

  All `Action` objects used in TreeGraph 2 added to the `HashMap` in this mehtod. New actions should be added here as well.

### fillPopupActions

    private void fillPopupActions()

### setActionStatusBySelection

    private void setActionStatusBySelection(Document document,
                                            TreeSelection selection,
                                            NodeBranchDataAdapter tableAdapter)

### editUndoRedoMenus

    private void editUndoRedoMenus()

  Sets the contents undo and redo menu or disables them.

  Since:
    2.0.23

### refreshActionStatus

    public void refreshActionStatus()

  Enables or disables all action objects by calling their `setEnabled(Document, TreeSelection)`-methods. Additionally the undo and redo actions are enabled depending on the contents of the undo manager and the action that would switch to the current view mode is disabled (which illustrated the current view mode to the user).

  Specified by:
    `refreshActionStatus` in class `info.webinsel.util.swing.ActionHashMap`
  See Also:
    `ActionHashMap.refreshActionStatus()`

### getPopupMenu

    public javax.swing.JPopupMenu getPopupMenu(PaintableElement selected)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD